%define  patch_name kernel-fix-drivers-char

Name: %patch_name
Version: 2004.01.25
Release: alt1

Summary: %patch_name kernel patch - Linux character drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  0	00_rio-makefile-fix.patch
%source  1	01_agpgart-via-agp3-support-alt.patch
%source  2	02_module_license-alt.patch
%source  3	03_agpgart-intel-7x05.patch
%source  4	04_agpgart-ati-radeon-igp.patch
%source  5	05_agpgart-via-cle266.patch
%source  6	06_agpgart-intel-875-alt.patch
#source  7	07_pc_keyb-synaptics-touchpad.patch
%source  8	08_amd76x_pm-failure-fix.patch
%source  9	09_pcwd-unregister-fix.patch
%source 10	10_rtc-busywait-fix.patch
%source 11	11_tty-oops-fix.patch
%source 12	12_do_tty_hangup-fput.patch

# http://winterwolf.co.uk/software/linux/netmos/01_netmos.patch
%source 13	13_netmos-alt.patch

%source 14	14_agpgart-ati-radeon-igp-345m.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux character drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added:
  + 14_agpgart-ati-radeon-igp-345m.patch: AGP support for ATI IGP 345M.

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.16-alt1
- Added:
  + 13_netmos-alt.patch: NetMos parallel/serial PCI cards support.

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 10_rtc-busywait-fix.patch
  + 11_tty-oops-fix.patch
  + 12_do_tty_hangup-fput.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Added 08_amd76x_pm-failure-fix.patch: Fix amd67x_pm.c crash with no chipsets
  / CONFIG_HOTPLUG.
- Added 09_pcwd-unregister-fix.patch: pcwd.c: fix oops on unload

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt1
- removed Synaptics Touchpad support patch because of keyboard/touchpad lockup
  problems

* Thu Oct 16 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.10.16-alt1
- added:
    - Synaptics Touchpad support (patch ported from tpconfig-3.1.3)

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- added:
    - 06_agpgart-intel-875-alt.patch - AGP support for Intel 875 (integrated
      video not supported)

* Sun Sep 21 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.21-alt1
- fixed VIA KT400 AGP3 support patch 
- added:
    - 03_agpgart-intel-7x05.patch - AGP support for Intel 7205/7505
    - 04_agpgart-ati-radeon-igp.patch - AGP support for ATI Radeon IGP
    - 05_agpgart-via-cle266.patch - AGP support for Via CLE266

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 02_module_license-alt.patch: add MODULE_LICENSE("GPL") to synclinkmp
  and synclink_cs modules

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- nvidia and i855 agp support patches removed (in mainstream now)
- added AGP3 support for VIA KT400 chipsets (thanks to Anton Kachalov)

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.11-alt1
- i855 and nvidia agp support patches added.

* Tue Jul 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.15-alt1
- added:
  + rio-makefile-fix (avoids duplicate modules).
